package com.example.sitodo.model;

import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.persistence.*;
import java.util.List;

@Data
@Entity
@NoArgsConstructor
public class TodoList {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "todo_list_seq_gen")
    @SequenceGenerator(name = "todo_list_seq_gen", sequenceName = "todo_list_seq", allocationSize = 1)
    private Long id;

    @OneToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private List<TodoItem> items;

    public TodoList(List<TodoItem> items) {
        this.items= items;
    }

    public void addTodoItem(TodoItem item) {
        items.add(item);
    }
}
